import { All } from "./components/pages/AllServices.mjs"
import { Start } from "./components/pages/Start.mjs"
import { Unlock } from "./components/pages/Unlock.mjs"
import { Fachschaftssitzung } from "./components/pages/Fachschaftssitzung.mjs"
import { Login } from "./components/pages/Login.mjs"
import { Me } from "./components/pages/Me.mjs"
import "/static/lib/mithril/mithril.min.js"

// See https://mithril.js.org/route.html#routing-strategies
m.route.prefix = ""
m.route(document.body, "/", {
    "/": Start,
    "/all-services": All,
    "/unlock": Unlock,
    "/fachschaftssitzung": Fachschaftssitzung,
    "/login": Login,
    "/me": Me,
})
